diagnostics_relay_action_t
diagnostics_relay_client_free
diagnostics_relay_client_new
diagnostics_relay_client_start_service
diagnostics_relay_client_t
diagnostics_relay_error_t
diagnostics_relay_goodbye
diagnostics_relay_query_ioregistry_entry
diagnostics_relay_query_ioregistry_plane
diagnostics_relay_query_mobilegestalt
diagnostics_relay_request_diagnostics
DIAGNOSTICS_RELAY_REQUEST_TYPE_ALL
DIAGNOSTICS_RELAY_REQUEST_TYPE_GAS_GAUGE
DIAGNOSTICS_RELAY_REQUEST_TYPE_NAND
DIAGNOSTICS_RELAY_REQUEST_TYPE_WIFI
diagnostics_relay_restart
DIAGNOSTICS_RELAY_SERVICE_NAME
diagnostics_relay_shutdown
diagnostics_relay_sleep

## diagnostics_relay_restart()

LIBIMOBILEDEVICE_API diagnostics_relay_error_t diagnostics_relay_restart | ( | diagnostics_relay_client_t | client,
|  | diagnostics_relay_action_t | flags )

Restart the device and optionally show a user notification.

Parameters

  client | The diagnostics_relay client
  flags | A binary flag combination of DIAGNOSTICS_RELAY_ACTION_FLAG_WAIT_FOR_DISCONNECT to wait until diagnostics_relay_client_free() disconnects before execution and DIAGNOSTICS_RELAY_ACTION_FLAG_DISPLAY_FAIL to show a "FAIL" dialog or DIAGNOSTICS_RELAY_ACTION_FLAG_DISPLAY_PASS to show an "OK" dialog

Returns
  DIAGNOSTICS_RELAY_E_SUCCESS on success, DIAGNOSTICS_RELAY_E_INVALID_ARG when client is NULL, DIAGNOSTICS_RELAY_E_PLIST_ERROR if the device did not acknowledge the request